Last Comment Bug 520042 - Push SUMO 1.4.0.1 to production on Oct 1
: Push SUMO 1.4.0.1 to production on Oct 1
Status: VERIFIED FIXED
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All All
: -- major (vote)
: ---
Assigned To: Derek Moore [:dmoore]
: matthew zeier [:mrz]
:
Mentors:
Depends on: 520111
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-01 12:22 PDT by James Socol [:jsocol, :james]
Modified: 2013-10-09 10:29 PDT (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description James Socol [:jsocol, :james] 2009-10-01 12:22:00 PDT
This should be a straightforward push. One small SQL patch and I can count the changes on one hand.
Comment 1 James Socol [:jsocol, :james] 2009-10-01 13:17:59 PDT
The tag is 

/projects/sumo/tags/1.4/1.4.0.1_20091001
Comment 2 Stephen Donner [:stephend] 2009-10-01 13:20:29 PDT
Bugs fixed for QA to verify post-push are: bug 518445, bug 518458, and bug 518774.
Comment 3 James Socol [:jsocol, :james] 2009-10-01 13:34:24 PDT
We'll need to run this SQL from bug 519559:
https://bugzilla.mozilla.org/attachment.cgi?id=403891
Comment 4 Derek Moore [:dmoore] 2009-10-01 16:50:34 PDT
Scheduled for 8:00 tonight
Comment 5 Derek Moore [:dmoore] 2009-10-01 20:07:28 PDT
SQL executed in production:

mysql> UPDATE users_users SET valid = NULL;
Query OK, 131790 rows affected (1.61 sec)
Rows matched: 132035  Changed: 131790  Warnings: 0
Comment 6 Derek Moore [:dmoore] 2009-10-01 20:07:53 PDT
svn switch successful:

[root@mradm02 support.mozilla.com]# svn info
Path: .
URL: https://svn.mozilla.org/projects/sumo/tags/1.4/1.4.0.1_20091001
Repository Root: https://svn.mozilla.org
Repository UUID: 4eb1ac78-321c-0410-a911-ec516a8615a5
Revision: 52728
Node Kind: directory
Schedule: normal
Last Changed Author: jsocol@mozilla.com
Last Changed Rev: 52711
Last Changed Date: 2009-10-01 12:31:25 -0700 (Thu, 01 Oct 2009)
Comment 7 Stephen Donner [:stephend] 2009-10-01 20:35:03 PDT
Frack: we regressed bug 520111 with this push.
Comment 8 James Socol [:jsocol, :james] 2009-10-01 21:33:06 PDT
Tomorrow we'll diagnose why e-mail notification links are broken, in the meantime webroot/.htaccess is:
http://pastebin.mozilla.org/674014
Comment 9 Stephen Donner [:stephend] 2009-10-03 11:11:10 PDT
Verified FIXED; e-mail notifications were broken because we didn't flip the pref to enable pretty URLs fully in staging (or something like that -- James can correct me).  All's well now.

Note You need to log in before you can comment on or make changes to this bug.